petsc-3.15.0 2021-03-30
Report Typos and Errors

# DMShellGetGlobalVector

Returns the template global vector associated with the DMShell, or NULL if it was not set

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellGetGlobalVector(DM dm, Vec *X)

Not collective

### Input Arguments

| dm | - shell DM
| X | - template vector

### See Also

DMShellSetGlobalVector(), DMShellSetCreateGlobalVector(), DMCreateGlobalVector()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages